Interface Technology Basics VST 3.7 SDK for developing VST plug-in

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups
Macros
fplatform.h File Reference

## Macros
#define | kLittleEndian 0
#define | kBigEndian 1
#define | SMTG_INTEL_CXX11_MODE 0
#define | SMTG_INTEL_COMPILER 0
#define | PLATFORM_64 SMTG_PLATFORM_64
#define | PTHREADS SMTG_PTHREADS
#define | SMTG_OVERRIDE
#define | SMTG_CONSTEXPR
#define | SMTG_CONSTEXPR14
#define | SMTG_NOEXCEPT
#define | SMTG_DEPRECATED_ATTRIBUTE(msg)
#define | SMTG_DEPRECATED_MSG(msg) SMTG_DEPRECATED_ATTRIBUTE(msg)

## Macro Definition Documentation

#define kLittleEndian 0

#define kBigEndian 1

#define SMTG_INTEL_CXX11_MODE 0

#define SMTG_INTEL_COMPILER 0

#define PLATFORM_64 SMTG_PLATFORM_64

#define PTHREADS SMTG_PTHREADS

#define SMTG_OVERRIDE

#define SMTG_CONSTEXPR

#define SMTG_CONSTEXPR14

#define SMTG_NOEXCEPT

#define SMTG_DEPRECATED_ATTRIBUTE | ( |  | msg | ) |

#define SMTG_DEPRECATED_MSG | ( |  | msg | ) | SMTG_DEPRECATED_ATTRIBUTE(msg)

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.